Jump to content


Photo

ANNOUNCE: folks 0.9.3


  • Please log in to reply
No replies to this topic

#1 News

News

    stranger

  • Members
  • 63473 posts

Posted 25 June 2013 - 08:56 PM

libfolks 0.9.3 is now available for download from:
http://ftp.gnome.org...rces/folks/0.9/

99783e3634df13dc59bc3108f820b667c6badc9b12bdb579704773bffe4020a7
folks-0.9.3.news
f9aa8b02280eb46fffaef993308897863ddbd8685631d1fd9bf197e74914f7eb
folks-0.9.3.changes
3a806f2009005c920cacd0c6415d86a52e3fbf3ad554d662cf6b4bd9209c17c5
folks-0.9.3.tar.xz

libfolks 0.9.3 — Personality goes a long way
============================================

Libfolks pulls together contacts from any number of accounts supported
by the libfolks backends. This release includes a number of backends,
including Telepathy, evolution-data-server, libsocialweb, Tracker, and
a simple key-file backend.

The 0.9.x unstable series corresponds to GNOME 3.10, leading up to a
0.10.x stable series in the near future. We will continue to maintain
API and ABI stability for the foreseeable future, with the intention of
having 0.9.x API compatible back through 0.6.x. We will make an
announcement when we officially commit to API/ABI stability for the
project as a whole.

See the NEWS file for details on every break we made before 0.6.0. In
future releases, we will have example programs that will be kept
up-to-date with the latest API as well.

For more information, see the Folks wiki page:
https://live.gnome.org/Folks

Reference documentation is available here:
http://telepathy.fre....org/doc/folks/
http://telepathy.fre.../doc/folks-eds/
http://telepathy.fre...s-libsocialweb/
http://telepathy.fre...olks-telepathy/

Overview of changes from libfolks 0.9.2 to libfolks 0.9.3
=========================================================

Dependencies:
• zeitgeist-2.0 ≥ 0.9.14

Bugs fixed:
• Bug 683873 - Leak in Zeitgeist code
• Bug 686715 - Telepathy init test often fails during clean-up
• Bug 698890 - warning: Folks doesn't set GIR namespace or version
annotation
• Bug 702490 - Backend support libraries don't have their own
gobject-introspection bindings

Dependencies
============

libfolks depends upon core GNOME libraries (GLib, GIO, etc.), as well
as libgee 0.8.x.

The Tracker backend requires a recent version of Tracker, built to
include its Vala bindings.

Contributing/Contact
====================

For any questions, comments, feature proposals, etc., please refer to





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

IPB Skin By Virteq